Update Order Configuration

Use this endpoint to update an existing order (task) configuration.


🚧

While it is possible to update order configurations via API, we strongly encourage you to use the Bringg User Interface (Platform) for order configuration updates.


Response (Output) Params

Parameter

Description

success

boolean

Indicates whether the service completed successfully.

  • false - the service failed.
  • true - the service succeeded.

rc

Int32

If an error occurred, the return code.

message

string

If an error occurred, a message indicating the error.

id

Int32

The Id of this task configuration.

pre_schedule_buffer

Int32

The time window before the task is scheduled.

post_schedule_buffer

Int32

The time window after the task is scheduled.

time_on_site_buffer_seconds

Int32

The default time on site (seconds) for this task.

action_data

Object

This description is pending a documentation update.

Body Params
int32
required

The Bringg ID for this task configuration.

string

The title of this task configuration.

action_data
array

This is an array of Driver Action objects.

action_data
int32

The time window before the pickup task is scheduled

int32

The time window after the pickup task is scheduled

int32

The time window before the drop off task is scheduled

int32

The time window after the drop off task is scheduled

int32

The default time on site in seconds for orders with this task configuration.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json